%define major		0
%define libname		%mklibname dmtx %major
%define develname	%mklibname dmtx -d


Name:		libdmtx
Version:	0.7.5
Release:	%mkrel 3
Summary:	A library for reading and writing Data Matrix 2D barcodes
Group:		System/Libraries
License: 	GPLv2
# http://www.libdmtx.org/ doesn't work any more
# outdated info is still at http://libdmtx.sourceforge.net/
URL:		https://github.com/dmtx
Source0:	https://github.com/dmtx/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/dmtx/libdmtx/pull/13
Patch0:		libdmtx-0.7.5-c99.patch
# https://github.com/dmtx/libdmtx/pull/14
Patch1:		libdmtx-0.7.5-size_t.patch
# https://github.com/dmtx/libdmtx/pull/12
Patch2:		libdmtx-0.7.5-math.patch
BuildRequires:	imagemagick-devel

%description
libdmtx is open source software for reading and writing Data Matrix 2D barcodes
on Linux and Unix. At its core libdmtx is a shared library, allowing C/C++
programs to use its capabilities without restrictions or overhead.

#-------------------------------------------------------------------------------

%package -n %libname
Summary:	%{name} library package
Group:		System/Libraries

%description -n %libname
%summary.

%files -n %libname
%license LICENSE
%doc AUTHORS ChangeLog KNOWNBUG README README.linux TODO
%{_libdir}/%{name}.so.%{major}{,.*}
%{_mandir}/man3/%{name}*

#-------------------------------------------------------------------------------

%package -n %develname
Summary:	%{name} developement files
Group:		Development/C++
Provides:	%{name}-devel = %version-%release
Requires:	%libname = %version

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%files -n %develname
%{_includedir}/dmtx.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.7.5-3.mga8
+ Revision: 1488926
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Aug 26 2018 daviddavid <daviddavid> 0.7.5-2.mga7
+ Revision: 1254646
- remove empty main pkg

* Sun Aug 26 2018 daviddavid <daviddavid> 0.7.5-1.mga7
+ Revision: 1254639
- new version: 0.7.5
- backport some upstream fixes

* Sun Jun 03 2018 wally <wally> 0.7.4-7.mga7
+ Revision: 1234197
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sat Jan 30 2016 umeabot <umeabot> 0.7.4-6.mga6
+ Revision: 929066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-5.mga5
+ Revision: 740871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-4.mga5
+ Revision: 681418
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.4-3.mga4
+ Revision: 507008
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 356996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 0.7.4-1.mga2
+ Revision: 202514
- utils were splited out
- new release

* Tue Sep 13 2011 fwang <fwang> 0.7.2-2.mga2
+ Revision: 142822
- rebuild for new imagemagick

* Sat Jan 15 2011 mikala <mikala> 0.7.2-1.mga1
+ Revision: 18690
- Add libxt-devel as BR
- imported package libdmtx


* Tue Aug 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 574836
- import libdmtx

